void flower()
{
    byte bait;
byte bait1;

      myGLCD.setFont( BigFont);
    
 // myGLCD.fillScr(200,200,200);
 sd.chdir("/");
 delay (100);
     sd.chdir("weat");//установка раб директории 
     delay (100);
//myFiles.loadBitmap(0, 0, 800, 480, "33a.raw");  
  myFile.open("fl.raw", O_READ);
  
int n=0;
int m=0;
  for (int i =0 ; i < 307200; i = i++)
  {
    n=n+1;
  bait = myFile.read();
 
  bait1 =myFile.read();
  
// w1= (bait - 48) << 4 | (bait1 - 48);
// w2= (bait2 - 48) << 4 | (bait3 - 48);
 w= bait<<8|bait1;
 
 pic1[n]=w;
 //3199
 if (n>639){
 n=0;  
// myGLCD.drawBitmap (0, 20*m, 320, 10, pic1, 2);
//   myGLCD.drawBitmap (0, 2*m, 320, 1, pic1, 2);
  myGLCD.drawBitmap (0, m, 640, 1, pic1, 1);
 m=m+1;
 }
  }
 

  // close the file:d
 myFile.close(); 
//**************************************************
   myGLCD.setBackColor(VGA_TRANSPARENT);
  myGLCD.setColor(VGA_RED); 
    myGLCD.setFont(Ubuntubold);
    myGLCD.print("+" ,60, 56);
     myGLCD.print("+" ,260, 56);
      myGLCD.print("+" ,522, 56);
    
    myGLCD.setFont(SevenSegNumFont);  
 myGLCD.printNumI(tfl ,80, 46);
  myGLCD.printNumI(tfl2 ,280, 46);
   myGLCD.printNumI(tfl3 ,542, 46);
 
 
  myGLCD.setColor(VGA_AQUA); 
  myGLCD.setFont(Ubuntubold);
    myGLCD.print("%" ,122, 410);
      myGLCD.print("%" ,318, 410);
        myGLCD.print("%" ,565, 410);
    
   myGLCD.setFont(SevenSegNumFont);
 myGLCD.printNumI(vfl ,59, 385);
 myGLCD.printNumI(vfl2 ,255, 385); 
 myGLCD.printNumI(vfl3 ,500, 385);  
 
   myGLCD.setFont(Ubuntubold);
 myGLCD.setColor(VGA_BLUE);
myGLCD.printNumI(osv ,443, 43); 
 
 myGLCD.setFont(BigFont);
  myGLCD.setColor(VGA_BLUE);
  myGLCD.printNumI(dfl ,65, 455); 
   myGLCD.printNumI(dfl2 ,261, 455); 
    myGLCD.printNumI(dfl3 ,506, 455); 
 myGLCD.print(":00",77+16, 455); 
 myGLCD.print(":00",273+16, 455); 
 myGLCD.print(":00",518+16, 455); 
 
 //********************************************************
  sd.chdir("/");//установка раб директории 
     delay (50);
//**************************************
if (rawp==1)
{delay (1000);
rawp=0;
return;
}


 myGLCD.setColor(0,38,92);
  myGLCD.fillRoundRect(645, 155, 797, 367);//рисуем синий пр-к
      myGLCD.setColor(255, 255, 255);//цвет обводки
  myGLCD.drawRoundRect(645, 155, 797, 367);//прямоугольник с  обводкой
  info();
//  myGLCD.fillScr(VGA_BLUE);
  myGLCD.setColor(VGA_WHITE);
  myGLCD.setBackColor(0,0,55);

 // kalend();
 clc();


 
    while(1)
{
 sec=t.sec;
 
 if ((sec==0)||(sec==20)||(sec==40))
{
delay(800);
clc();
}

if ((sec==11) || (sec==45) )
{

 info(); 
 }
 

 
  //*********************************TOUCH********************************
if (myTouch.dataAvailable())
 
    {
      myTouch.read();
      int x=myTouch.getX();
      int y=myTouch.getY();
      
  //         myGLCD.setColor(VGA_BLUE);
  //    myGLCD.setBackColor(255,255,255);
 //     myGLCD.setFont( Ubuntubold);
 //     myGLCD.print("x=    " , 650, 32);
 //     myGLCD.printNumI(x , 700, 32);  
 //     myGLCD.setFont( Ubuntubold);
 //     myGLCD.print("y=    " ,650 , 72);
 //     myGLCD.printNumI(y , 700, 72); 
      
        if ((y>=130) && (y<=450))  // Upper row
      { if ((x>=40) && (x<=200))
         {  flower1();
         }
         
         if ((x>=230) && (x<=400))
         {  flower2();
         }
         
         if ((x>=480) && (x<=620))
         {  flower3();
         }
    }
      
         if ((x>=640) && (x<=799))  // Upper row
      { 
        
            if ((y>=10) && (y<=150))  //(10, 370, 90, 450); //Install 
        {
           kalendarset();
            flower();
        }
        
         if ((y>=370) && (y<=450))  //(10, 370, 90, 450); //Clok 
        {waitForIt1(639, 370, 799, 450);
          menu();
        }
       
      } 
    }//touch


}


}
  
  
  
  
  
  
  
  
  
  
